<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>
    <!-- <div class="text-main" >
    <div class="text-group" :class="{'me':isSent}" >-->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="text text-muted shadow-sm" :class="{'me':isSent}">
        <div class="text typing">
          <div class="wave">
            <span class="dot"></span>
            <span class="dot"></span>
            <span class="dot"></span>
          </div>
        </div>
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">{{formatDate(message.created_at,"LT")}}</small>
      </div>
    </div>
    <!-- </div>
    </div>-->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture"
import MessageHead from "../elements/MessageHead"
export default {
  mixins: [chatMixin],
  components:{
    MessagePicture,MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
.text.typing {
  background: none !important;
}
</style>
